For Developers
List Service Accounts
GET https://ed.link/api/v2/teams/:team_id/service_accounts
Returns all service accounts active on the team.
Permissions
Requires the tokens.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
Sample Request
const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/service_accounts`, {
headers: {
authorization: `Bearer ${user_session_token}`
}
});
Sample Response
{
"$data": [
{
"id": "8b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"created_date": "2024-05-10T14:00:00.000Z",
"state": "active",
"user": {
"first_name": "GitHub Actions Deployer",
"type": "service"
},
"tokens": [
{
"id": "3b7d4bad-9bdd-2b0d-7b3d-cb6d9b1deb4d",
"state": "active"
}
]
}
]
}
